This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 812982 - Lack of arrow on scrollbar renders scrollbar useless in some situations
Lack of arrow on scrollbar renders scrollbar useless in some situations
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 828005 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 13:39 EDT by Eric Paris
Modified: 2015-07-15 11:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2012-04-16 13:39:58 EDT
The default theme in F17 removed the arrow at the ends of the scrollbar.  In a couple of situations this leaves the scrollbars completely useless.  My personal example which is causing a huge amount of trouble is my e-mail inbox.  I have 19,000 emails in my inbox and that pane in evolution is about 2 inches high on the screen.  The scrollbar does let me get quickly from the top to the bottom but near the top or bottom there is not enough room around the scrollbar to click above/below to move one page at a time.  Moving it with my mouse jumps about 10 'pages' worth of messages at a time.

What I'm doing today is moving it all the way to the bottom them clicking above the scroll to go up page at a time.  If the number of objects is small enough and the pane is large enough that the granularity using the mouse is reasonable no arrows works just fine.  But with a long enough list the arrows become a must in order to move with small granularity....
Comment 1 Eric Paris 2012-04-16 14:39:23 EDT
Just found:
https://live.gnome.org/GnomeOS/Design/Whiteboards/Scrolling

Let me explain exactly what I do which causes problems.

I generally sort e-mail (evolution) by date with the oldest at the bottom.  I can then click in the 'trough' (I think i'm using the right word) a couple of times to get the the 'beginning' of my new e-mails.

Now what I do is start at the oldest 'unread' e-mail and read the ones I care the most about, skipping those I don't care about.  When I look at the last on the page I want to be able to 'scroll down' to see the next page of messages.  I cannot click and hold on the indicator and drag it down, because the granularity if WAY too many lines of e-mails.  I cannot click in the tough below the scroller because it is too small.  If I had a scroll wheel I could use that, but I don't have a working scroll wheel.

If I have something highlighted in the correct pane I can use up/down pageup/pagedown but then I risk accidentally marking an e-mail as read (it does so if it is in the preview pane too long) even though I'm really just trying to scroll.

Does that make sense?  Create a really really long list of items, scan the last 100 items in the list.  It's really really hard without arrows.....

Where is a better place to post this type of review/comments?
Comment 2 Matthias Clasen 2012-04-19 23:15:19 EDT
Thanks for taking the time to explain your problem in detail. I've added a to your comment in the design page.
Comment 4 Fedora End Of Life 2013-07-03 20:20:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Matthew Saltzman 2013-07-03 22:50:16 EDT
Please update Fedora version.  This is still the case in Fedora 18, at least, adn still extremely annoying.  Thank you.
Comment 6 Matthias Clasen 2014-11-15 11:50:14 EST
*** Bug 828005 has been marked as a duplicate of this bug. ***
Comment 7 Jan Kurik 2015-07-15 11:09:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.